Subject: Re: bug#19813: 24.4; emacs crashes on exit

From: Test User <[email-masked]>
Date: Sun, 8 Feb 2015 15:15:03 -0500

On Sun, Feb 8, 2015 at 1:40 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sun, 8 Feb 2015 11:59:06 -0500
> > From: Test User <[email-masked]>
> >
> >     Since the problem does not happen in "emacs -Q", there's some
> >     customization on your ~/.emacs file that triggers it. Could you
> >     please bisect your .emacs until you find the smallest part of it that
> >     still causes the problem, and then post here that part? We need a
> >     reproducible recipe to investigate the reasons for the abort.
> >
> >
> > I have just two lines in my .emacs file. I commented them both out but it
> > made no difference. I even renamed .emacs and .emacs.d but it still did
> > not help.
>
> What happens if you remove the file entirely, or rename it?
>

I said above that I renamed .emacs and also .emacs.d. but it did not help.

>
> Where on your filesystem do you keep your .emacs, i.e. what is its
> full Windows file name?
>

C:/Users/testuser448/.emacs. I set HOME=C:/Users/testuser448 and I have
confirmed using Process Monitor from SysInternals that emacs finds it there
when HOME is set, and did not find it when I renamed it. Alternative
locations
appear to be C:/ and %APPDATA%, where .emacs does not exist.

Alternatively if you give a command that will display a message I can
put it in .emacs.

If I set HOME=<blank>, it does not make a difference.

For what it is worth, the problem does not occur on my Windows XP
virtual machine, which never had emacs on it before. I am on Windows 8.1.

In my initial message, I said that if I run emacs.exe within gdb, gdb says
that
emacs exited with code 03. Do you know what that means?